Index: utilities.f
===================================================================
--- utilities.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ utilities.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -8,5 +8,5 @@
 
 !! Calculate the best way to distribute the work load across processors.
-!  It calculates the average number of interactions and then tries to 
+!  It calculates the average number of interactions and then tries to
 !  assign a number of interactions to each processor that is as close
 !  as possible to the average. The routine should be called once for
@@ -21,4 +21,6 @@
       include 'INCL.H'
 
+      integer i1ms, io, iv, i2ms, ms
+
       integer num_ppr, nml
       integer idxOfFirstVariable, idxOfLastVariable
@@ -26,5 +28,5 @@
       integer totalct, irank, itarget
       double precision ipps
-      
+
       if (nml.eq.0) then
          idxOfFirstVariable = ivrml1(1)
@@ -36,5 +38,5 @@
             end do
          end do
-      else 
+      else
          idxOfFirstVariable = ivrml1(nml)
          idxOfLastVariable = ivrml1(nml) + nvrml(nml) - 1
@@ -44,5 +46,5 @@
          end do
       end if
-      
+
       isum = 0
       do io = idxOfLastVariable, idxOfFirstVariable, - 1
@@ -52,10 +54,10 @@
          do ms = i1ms, i2ms
             do at = latms1(ms), latms2(ms)
-               do ivw=ivwat1(at),ivwat2(at)  
+               do ivw=ivwat1(at),ivwat2(at)
                   do j=lvwat1(ivw),lvwat2(ivw)
                      isum = isum + 1
                   end do
                end do
-               do i14=i14at1(at),i14at2(at)   
+               do i14=i14at1(at),i14at2(at)
                   isum = isum + 1
                end do
@@ -66,5 +68,5 @@
       write (*,*) "Total number of interactions:", isum
       write (*,*) "Average # of interactions per processor", ipps
-      
+
       totalct = 0
       irank = 1
@@ -72,9 +74,9 @@
       if (nml.eq.0) then
          i1ms = imsml1(ntlml)+ nmsml(ntlml)
-      else 
+      else
          i1ms = imsml1(nml)+ nmsml(nml)
       end if
       do io = idxOfLastVariable, idxOfFirstVariable, - 1
-         isum = 0 
+         isum = 0
          iv = iorvr(io)
          i2ms = i1ms - 1
@@ -83,10 +85,10 @@
             do at = latms1(ms), latms2(ms)
                atct = atct + 1
-               do ivw=ivwat1(at),ivwat2(at)  
+               do ivw=ivwat1(at),ivwat2(at)
                   do j=lvwat1(ivw),lvwat2(ivw)
                      isum = isum + 1
                   end do
                end do
-               do i14=i14at1(at),i14at2(at)   
+               do i14=i14at1(at),i14at2(at)
                   isum = isum + 1
                end do
@@ -113,5 +115,5 @@
 
       end subroutine distributeWorkLoad
-      
+
 !-----------------------------------------------------------------------
 !     The function fileNameMP takes a template of a file name in the
@@ -128,10 +130,10 @@
 !     \endcode
 !     will output base_0011.dat.
-!     
+!
 !     @param base the base file name, e.g., base_0000.dat.
 !     @param i1 index of the first character that may be replaced
 !     @param i2 index of the last character that may be replaced
 !     @param rank the number that should be inserted into the file name.
-!     
+!
 !     @return file name for rank
 !-----------------------------------------------------------------------
@@ -165,5 +167,5 @@
          write(fileNameMP(i2-5:i2), '(i6)') rank
       endif
-      end function fileNameMP 
+      end function fileNameMP
 !     End fileNameMP
 
@@ -172,23 +174,25 @@
 !     Add messages to log. This routine takes the log (debugging) mes-
 !     sages and writes them to the log file if the log level is less or
-!     equal to the maximum log level given by the global variable 
+!     equal to the maximum log level given by the global variable
 !     MAXLOGLEVEL.
 !
 !     @author Jan H. Meinke
 !
-!     @param loglevel level at which this message should be added to 
+!     @param loglevel level at which this message should be added to
 !            the log.
 !     @param message message to be written to the log.
-!     @param rank global rank of this node if running an MPI job zero 
+!     @param rank global rank of this node if running an MPI job zero
 !            otherwise.
 !----------------------------------------------------------------------
       subroutine addLogMessage(loglevel, message, rank)
-      
+
+      integer maxloglevel, logfileunit
+
          integer :: loglevel, rank
          character(LEN=*) :: message
-         
+
          if (loglevel <= MAXLOGLEVEL) then
             write(LOGFILEUNIT, *) message
          end if
-         
+
       end subroutine addLogMessage
Index: zimmer.f
===================================================================
--- zimmer.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ zimmer.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -40,4 +40,7 @@
 !f2py intent(in) nresi
       character*1 zim
+      double precision xphi, xpsi
+
+      integer j, nresi, i, iv, nres, nursvr
 
      
